#!/bin/bash
name=${1%.dsk}
#compress the image
WINEARCH=win64 WINEPREFIX=/home/gorlik/winetemp wine fc8 -b:65536 $1 ${name}.fc8
#merge with base ROM
cat romdrv1.2.rom $name.fc8 >$name.bin
#split into 4 chips
srec_cat ${name}.bin -binary -split 4 0 -o ${name}_U4.bin -binary
srec_cat ${name}.bin -binary -split 4 1 -o ${name}_U3.bin -binary
srec_cat ${name}.bin -binary -split 4 2 -o ${name}_U2.bin -binary
srec_cat ${name}.bin -binary -split 4 3 -o ${name}_U1.bin -binary
